  <?php get_header(); ?>
<main>
  <?php include('assets/parts/breadcrumb.php'); ?>

  <section class="p-archive__section u-wrap">
    <div class="c-under__ttl-area">
      <p class="c-under__ttl"><?php echo get_post_type_object(get_post_type())->labels->name; ?></p>
      <h1 class="c-under__ttl-en u-poppins">Blog</h1>
    </div>

    <div class="p-archive__sort u-flex">
      <div class="p-archive__sort-box u-flex">
        <p class="p-archive__sort-box-text">カテゴリ</p>
        <select name="cate" id="cate-select" class="p-archive__sort-box-select">
          <option value="">ALL</option>
          <?php
          $categories = get_terms(array(
            'taxonomy' => 'blog-category',
            'hide_empty' => false,
          ));
          $current_category = isset($_GET['cate']) ? $_GET['cate'] : '';
          foreach ($categories as $category) {
            $selected = ($current_category == $category->slug) ? 'selected' : '';
            echo '<option value="' . $category->slug . '" ' . $selected . '>' . $category->name . '</option>';
          }
          ?>
        </select>
      </div>
      <div class="p-archive__sort-box u-flex">
        <p class="p-archive__sort-box-text">年</p>
        <select name="blog_year" id="year-select" class="p-archive__sort-box-select">
          <option value="">ALL</option>
          <?php
          $years = $wpdb->get_col("SELECT DISTINCT YEAR(post_date) FROM $wpdb->posts WHERE post_type = 'blog' AND post_status = 'publish' ORDER BY post_date DESC");
          $current_year = isset($_GET['blog_year']) ? $_GET['blog_year'] : '';
          foreach ($years as $year) {
            $selected = ($current_year == $year) ? 'selected' : '';
            echo '<option value="' . $year . '" ' . $selected . '>' . $year . '</option>';
          }
          ?>
        </select>
      </div>
    </div>
    <div class="p-archive__contents u-flex" id="blog-posts">
      <?php
      $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
      $args = array(
        'post_type' => 'blog',
        'posts_per_page' => 12,
        'paged' => $paged
      );

      // カテゴリーフィルター
      if (isset($_GET['cate']) && !empty($_GET['cate'])) {
        $args['tax_query'] = array(
          array(
            'taxonomy' => 'blog-category',
            'field' => 'slug',
            'terms' => sanitize_text_field($_GET['cate'])
          )
        );
      }

      // 年フィルター
      if (isset($_GET['blog_year']) && !empty($_GET['blog_year'])) {
        $args['date_query'] = array(
          array(
            'year' => intval($_GET['blog_year'])
          )
        );
      }

      $blog_query = new WP_Query($args);

      // デバッグ用：クエリの内容を確認
      // var_dump($args);
      // var_dump($blog_query->request);

      if ($blog_query->have_posts()) :
        while ($blog_query->have_posts()) : $blog_query->the_post();
          $categories = get_the_terms(get_the_ID(), 'blog-category');
          $category_name = !empty($categories) ? $categories[0]->name : '';
          $date = get_the_date('Y.m.d');
          $title = wp_trim_words(get_the_title(), 33, '...');
      ?>
        <a href="<?php the_permalink(); ?>" class="p-archive__box">
          <figure class="p-archive__box-img">
            <?php if (has_post_thumbnail()) : ?>
              <?php the_post_thumbnail(); ?>
            <?php else : ?>
              <img src="<?php echo get_template_directory_uri(); ?>/assets/img/top/news01.jpg" alt="">
            <?php endif; ?>
          </figure>
          <p class="p-archive__box-cate"><?php echo esc_html($category_name); ?>｜<?php echo esc_html($date); ?></p>
          <p class="p-archive__box-ttl">
            <?php echo esc_html($title); ?>
          </p>
        </a>
      <?php
        endwhile;
        wp_reset_postdata();
      ?>
    </div>

    <?php if ($blog_query->max_num_pages > 1) : ?>
  <ul class="c-pagenavi u-flex">
    <li class="c-pagenavi__item u-poppins c-pagenavi__prev">
      <?php if (get_previous_posts_link()) : ?>
        <?php previous_posts_link('<span class="c-pagenavi__item-link"></span>'); ?>
      <?php else : ?>
        <span class="c-pagenavi__item-link"></span>
      <?php endif; ?>
    </li>
    <?php
      $big = 999999999;
      $current_page = max(1, get_query_var('paged'));
      $total_pages = $blog_query->max_num_pages;

      $paginate_links = paginate_links(array(
        'base' => str_replace($big, '%#%', esc_url(get_pagenum_link($big))),
        'format' => 'page/%#%/',
        'current' => $current_page,
        'total' => $total_pages,
        'prev_text' => '',
        'next_text' => '',
        'type' => 'array',
        'show_all' => false,
        'end_size' => 1,
        'mid_size' => 1
      ));

      if ($paginate_links) {
        $output = array();
        foreach ($paginate_links as $link) {
          if (strpos($link, 'current') !== false) {
            $output[] = '<li class="c-pagenavi__item u-poppins current">' . $link . '</li>';
          } elseif (strpos($link, 'dots') !== false) {
            $output[] = '<li class="c-pagenavi__item u-poppins">･･･</li>';
          } else {
            $output[] = '<li class="c-pagenavi__item u-poppins">' . $link . '</li>';
          }
        }

        // Remove duplicate last page link
        if (count($output) >= 2 && $output[count($output) - 1] === $output[count($output) - 2]) {
          array_pop($output);
        }

        // Ensure current page is always visible
        if (strpos(implode('', $output), 'current') === false) {
          $current_link = '<li class="c-pagenavi__item u-poppins current"><span aria-current="page" class="page-numbers current">' . $current_page . '</span></li>';
          if ($current_page > 1 && $current_page < $total_pages) {
            array_splice($output, 1, 0, $current_link);
          } elseif ($current_page == $total_pages) {
            array_push($output, $current_link);
          } else {
            array_unshift($output, $current_link);
          }
        }

        echo implode('', $output);
      }
    ?>
    <li class="c-pagenavi__item u-poppins c-pagenavi__next">
      <?php if (get_next_posts_link()) : ?>
        <?php next_posts_link('<span class="c-pagenavi__item-link"></span>', $blog_query->max_num_pages); ?>
      <?php else : ?>
        <span class="c-pagenavi__item-link"></span>
      <?php endif; ?>
    </li>
  </ul>
<?php endif; ?>
  <?php endif; ?>
  </section>
</main>

<script>
jQuery(document).ready(function($) {
  $('#cate-select, #year-select').change(function() {
    var category = $('#cate-select').val();
    var year = $('#year-select').val();
    var url = new URL(window.location.href);

    if (category) {
      url.searchParams.set('cate', category);
    } else {
      url.searchParams.delete('cate');
    }

    if (year) {
      url.searchParams.set('blog_year', year);
    } else {
      url.searchParams.delete('blog_year');
    }

    console.log('Redirecting to:', url.toString()); // デバッグ用
    window.location.href = url.toString();
  });
});
</script>

<?php get_footer(); ?>
