<?php get_header(); ?>
<main>
  <?php include('assets/parts/breadcrumb.php'); ?>

  <section class="p-archive__section u-wrap">
    <div class="c-under__ttl-area">
      <p class="c-under__ttl"><?php echo get_post_type_object(get_post_type())->labels->name; ?></p>
      <h1 class="c-under__ttl-en u-poppins">Case study</h1>
    </div>

    <div class="p-archive__sort u-flex">
      <div class="p-archive__sort-box u-flex">
        <p class="p-archive__sort-box-text">カテゴリ</p>
        <div class="p-archive__sort-box-selectbox">
        <select name="case_cate" id="case-cate-select" class="p-archive__sort-box-select">
          <option value="">ALL</option>
          <?php
          $categories = get_terms(array(
            'taxonomy' => 'case-category',
            'hide_empty' => false,
          ));
          $current_category = isset($_GET['case_cate']) ? $_GET['case_cate'] : '';
          foreach ($categories as $category) {
            $selected = ($current_category == $category->slug) ? 'selected' : '';
            echo '<option value="' . $category->slug . '" ' . $selected . '>' . $category->name . '</option>';
          }
          ?>
        </select>
        <i class="fa-solid fa-arrow-down p-archive__sort-box-icon"></i>
        </div>
        
      </div>
      <div class="p-archive__sort-box u-flex">
        <p class="p-archive__sort-box-text">年</p>
        <div class="p-archive__sort-box-selectbox">
        <select name="case_year" id="case-year-select" class="p-archive__sort-box-select">
          <option value="">ALL</option>
          <?php
          $years = $wpdb->get_col("SELECT DISTINCT YEAR(post_date) FROM $wpdb->posts WHERE post_type = 'case-study' AND post_status = 'publish' ORDER BY post_date DESC");
          $current_year = isset($_GET['case_year']) ? $_GET['case_year'] : '';
          foreach ($years as $year) {
            $selected = ($current_year == $year) ? 'selected' : '';
            echo '<option value="' . $year . '" ' . $selected . '>' . $year . '</option>';
          }
          ?>
        </select>
        <i class="fa-solid fa-arrow-down p-archive__sort-box-icon"></i>
        </div>
      </div>
    </div>

    <div class="p-archive__contents u-flex">
      <?php
      $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
      $args = array(
        'post_type' => 'case-study',
        'posts_per_page' => 12,
        'paged' => $paged
      );

      if (isset($_GET['case_cate']) && !empty($_GET['case_cate'])) {
        $args['tax_query'] = array(
          array(
            'taxonomy' => 'case-category',
            'field' => 'slug',
            'terms' => sanitize_text_field($_GET['case_cate'])
          )
        );
      }

      if (isset($_GET['case_year']) && !empty($_GET['case_year'])) {
        $args['date_query'] = array(
          array(
            'year' => intval($_GET['case_year'])
          )
        );
      }

      $case_study_query = new WP_Query($args);
      if ($case_study_query->have_posts()) :
        while ($case_study_query->have_posts()) : $case_study_query->the_post();
          $categories = get_the_terms(get_the_ID(), 'case-category');
          $category_name = !empty($categories) ? $categories[0]->name : '';
          $date = get_the_date('Y.m.d');
          $title = wp_trim_words(get_the_title(), 33, '...');
      ?>
        <a href="<?php the_permalink(); ?>" class="p-archive__box">
          <figure class="p-archive__box-img">
            <?php if (has_post_thumbnail()) : ?>
              <?php the_post_thumbnail(); ?>
            <?php else : ?>
              <img src="<?php echo get_template_directory_uri(); ?>/assets/img/top/news01.jpg" alt="">
            <?php endif; ?>
          </figure>
          <p class="p-archive__box-cate"><?php echo esc_html($category_name); ?>｜<?php echo esc_html($date); ?></p>
          <p class="p-archive__box-ttl">
            <?php echo esc_html($title); ?>
          </p>
        </a>
      <?php
        endwhile;
      endif;
      wp_reset_postdata();
      ?>
    </div>

    <?php
    $total_pages = $case_study_query->max_num_pages;

    if ($total_pages > 1) : ?>
      <ul class="c-pagenavi u-flex">
        <li class="c-pagenavi__item u-poppins c-pagenavi__prev">
          <?php if ($paged > 1) : ?>
            <a href="<?php echo get_pagenum_link($paged - 1); ?>"><span class="c-pagenavi__item-link"></span></a>
          <?php else : ?>
            <span class="c-pagenavi__item-link"></span>
          <?php endif; ?>
        </li>
        <?php
          $big = 999999999;
          $paginate_links = paginate_links(array(
            'base' => str_replace($big, '%#%', esc_url(get_pagenum_link($big))),
            'format' => 'page/%#%/',
            'current' => $paged,
            'total' => $total_pages,
            'prev_text' => '',
            'next_text' => '',
            'type' => 'array',
            'show_all' => false,
            'end_size' => 1,
            'mid_size' => 1
          ));

          if ($paginate_links) {
            foreach ($paginate_links as $link) {
              if (strpos($link, 'current') !== false) {
                echo '<li class="c-pagenavi__item u-poppins current">' . $link . '</li>';
              } elseif (strpos($link, 'dots') !== false) {
                echo '<li class="c-pagenavi__item u-poppins">･･･</li>';
              } else {
                echo '<li class="c-pagenavi__item u-poppins">' . $link . '</li>';
              }
            }
          }
        ?>
        <li class="c-pagenavi__item u-poppins c-pagenavi__next">
          <?php if ($paged < $total_pages) : ?>
            <a href="<?php echo get_pagenum_link($paged + 1); ?>"><span class="c-pagenavi__item-link"></span></a>
          <?php else : ?>
            <span class="c-pagenavi__item-link"></span>
          <?php endif; ?>
        </li>
      </ul>
    <?php endif; ?>

  </section>

  <script>
  jQuery(document).ready(function($) {
    $('#case-cate-select, #case-year-select').change(function() {
      var category = $('#case-cate-select').val();
      var year = $('#case-year-select').val();
      var url = new URL(window.location.href);

      if (category) {
        url.searchParams.set('case_cate', category);
      } else {
        url.searchParams.delete('case_cate');
      }

      if (year) {
        url.searchParams.set('case_year', year);
      } else {
        url.searchParams.delete('case_year');
      }

      window.location.href = url.toString();
    });
  });
  </script>
</main>
<?php get_footer(); ?>