<?php get_header(); ?>
<main>
  <?php include('assets/parts/breadcrumb.php'); ?>

  <section class="p-archive__section u-wrap">
    <div class="c-under__ttl-area">
      <p class="c-under__ttl">社員紹介</p>
      <h1 class="c-under__ttl-en u-poppins">Member</h1>
    </div>

    <div class="p-archive__contents u-flex">
      <?php
      $args = array(
        'post_type' => 'member',
        'posts_per_page' => 12,
        'paged' => get_query_var('paged') ? get_query_var('paged') : 1
      );
      $member_query = new WP_Query($args);
      if ($member_query->have_posts()) :
      ?>
        <div class="p-top__member-wrap u-flex">
          <?php while ($member_query->have_posts()) : $member_query->the_post();
            $image_url = get_field('corp02_member_img'); // ACFで設定された画像URLを取得
            $name_en = get_field('corp02_member_kana'); // 英語名
            $name_jp = get_field('corp02_member_name'); // 日本語名
            $position = get_field('corp02_member_position'); // 役職
          ?>
            <div class="p-top__member-box">
              <img src="<?php echo esc_url($image_url); ?>" alt="<?php echo esc_html($name_jp); ?>画像">
              <div class="p-top__member-contents">
                <p class="p-top__member-contents-en u-poppins"><?php echo esc_html($name_en); ?></p>
                <p class="p-top__member-contents-name"><?php echo esc_html($name_jp); ?></p>
                <p class="p-top__member-contents-position"><?php echo esc_html($position); ?></p>
              </div>
            </div>
          <?php endwhile; ?>
        </div>
      <?php
        wp_reset_postdata();
      endif;
      ?>
    </div>


<?php if ($member_query->max_num_pages > 1) : ?>
  <ul class="c-pagenavi u-flex">
    <li class="c-pagenavi__item u-poppins c-pagenavi__prev">
      <?php if (get_previous_posts_link()) : ?>
        <?php previous_posts_link('<span class="c-pagenavi__item-link"></span>'); ?>
      <?php else : ?>
        <span class="c-pagenavi__item-link"></span>
      <?php endif; ?>
    </li>
    <?php
      $big = 999999999;
      $current_page = max(1, get_query_var('paged'));
      $total_pages = $member_query->max_num_pages;

      $paginate_links = paginate_links(array(
        'base' => str_replace($big, '%#%', esc_url(get_pagenum_link($big))),
        'format' => 'page/%#%/',
        'current' => $current_page,
        'total' => $total_pages,
        'prev_text' => '',
        'next_text' => '',
        'type' => 'array',
        'show_all' => false,
        'end_size' => 1,
        'mid_size' => 1
      ));

      if ($paginate_links) {
        $output = array();
        foreach ($paginate_links as $link) {
          if (strpos($link, 'current') !== false) {
            $output[] = '<li class="c-pagenavi__item u-poppins current">' . $link . '</li>';
          } elseif (strpos($link, 'dots') !== false) {
            $output[] = '<li class="c-pagenavi__item u-poppins">･･･</li>';
          } else {
            $output[] = '<li class="c-pagenavi__item u-poppins">' . $link . '</li>';
          }
        }

        // Remove duplicate last page link
        if (count($output) >= 2 && $output[count($output) - 1] === $output[count($output) - 2]) {
          array_pop($output);
        }

        // Ensure current page is always visible
        if (strpos(implode('', $output), 'current') === false) {
          $current_link = '<li class="c-pagenavi__item u-poppins current"><span aria-current="page" class="page-numbers current">' . $current_page . '</span></li>';
          if ($current_page > 1 && $current_page < $total_pages) {
            array_splice($output, 1, 0, $current_link);
          } elseif ($current_page == $total_pages) {
            array_push($output, $current_link);
          } else {
            array_unshift($output, $current_link);
          }
        }

        echo implode('', $output);
      }
    ?>
    <li class="c-pagenavi__item u-poppins c-pagenavi__next">
      <?php if (get_next_posts_link()) : ?>
        <?php next_posts_link('<span class="c-pagenavi__item-link"></span>', $member_query->max_num_pages); ?>
      <?php else : ?>
        <span class="c-pagenavi__item-link"></span>
      <?php endif; ?>
    </li>
  </ul>
<?php endif; ?>

  </section>
</main>
<?php get_footer(); ?>
