<?php get_header(); ?>
<main>
  <?php include('assets/parts/breadcrumb.php'); ?>

  <section class="p-archive__section u-wrap">
    <div class="c-under__ttl-area">
      <p class="c-under__ttl">ニュース</p>
      <h1 class="c-under__ttl-en u-poppins">News</h1>
    </div>

    <div class="p-archive__sort u-flex">
      <div class="p-archive__sort-box u-flex">
        <p class="p-archive__sort-box-text">カテゴリ</p>
        <select name="cate" id="cate-select" class="p-archive__sort-box-select">
          <option value="">ALL</option>
          <option value="cate01">カテゴリー１</option>
        </select>
      </div>
      <div class="p-archive__sort-box u-flex">
        <p class="p-archive__sort-box-text">年</p>
        <select name="year" id="year-select" class="p-archive__sort-box-select">
          <option value="2024">2024</option>
          <option value="2023">2023</option>
        </select>
      </div>
    </div>
    <div class="p-archive__contents u-flex">
      <ul class="p-top__news-list">
        <?php
          $args = array(
            'post_type' => 'news',
            'posts_per_page' => 12,
            'paged' => get_query_var('paged') ? get_query_var('paged') : 1
          );
          $blog_query = new WP_Query($args);
          if ($blog_query->have_posts()) :
            while ($blog_query->have_posts()) : $blog_query->the_post();
              $terms = get_the_terms(get_the_ID(), 'news-category');
              $category_name = $terms && !is_wp_error($terms) ? $terms[0]->name : '未分類';
        ?>
        <li class="p-top__news-item">
          <a href="<?php the_permalink(); ?>" class="u-flex u-aic">
            <div class="p-top__news-contents">
              <p class="p-top__news-cate"><?php echo $category_name; ?>｜<?php echo get_the_date('Y.m/d'); ?></p>
              <p class="p-top__news-ttl"><?php the_title(); ?></p>
            </div>
            <div class="p-top__news-arrow">
              <img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/img/icon/arrow01.png" alt="">
            </div>
          </a>
        </li>
        <?php
            endwhile;
            wp_reset_postdata();
        ?>
      </ul>
    </div>

    <?php if ($blog_query->max_num_pages > 1) : ?>
  <ul class="c-pagenavi u-flex">
    <li class="c-pagenavi__item u-poppins c-pagenavi__prev">
      <?php if (get_previous_posts_link()) : ?>
        <?php previous_posts_link('<span class="c-pagenavi__item-link"></span>'); ?>
      <?php else : ?>
        <span class="c-pagenavi__item-link"></span>
      <?php endif; ?>
    </li>
    <?php
      $big = 999999999;
      $current_page = max(1, get_query_var('paged'));
      $total_pages = $blog_query->max_num_pages;

      $paginate_links = paginate_links(array(
        'base' => str_replace($big, '%#%', esc_url(get_pagenum_link($big))),
        'format' => 'page/%#%/',
        'current' => $current_page,
        'total' => $total_pages,
        'prev_text' => '',
        'next_text' => '',
        'type' => 'array',
        'show_all' => false,
        'end_size' => 1,
        'mid_size' => 1
      ));

      if ($paginate_links) {
        $output = array();
        foreach ($paginate_links as $link) {
          if (strpos($link, 'current') !== false) {
            $output[] = '<li class="c-pagenavi__item u-poppins current">' . $link . '</li>';
          } elseif (strpos($link, 'dots') !== false) {
            $output[] = '<li class="c-pagenavi__item u-poppins">･･･</li>';
          } else {
            $output[] = '<li class="c-pagenavi__item u-poppins">' . $link . '</li>';
          }
        }

        // Remove duplicate last page link
        if (count($output) >= 2 && $output[count($output) - 1] === $output[count($output) - 2]) {
          array_pop($output);
        }

        // Ensure current page is always visible
        if (strpos(implode('', $output), 'current') === false) {
          $current_link = '<li class="c-pagenavi__item u-poppins current"><span aria-current="page" class="page-numbers current">' . $current_page . '</span></li>';
          if ($current_page > 1 && $current_page < $total_pages) {
            array_splice($output, 1, 0, $current_link);
          } elseif ($current_page == $total_pages) {
            array_push($output, $current_link);
          } else {
            array_unshift($output, $current_link);
          }
        }

        echo implode('', $output);
      }
    ?>
    <li class="c-pagenavi__item u-poppins c-pagenavi__next">
      <?php if (get_next_posts_link()) : ?>
        <?php next_posts_link('<span class="c-pagenavi__item-link"></span>', $blog_query->max_num_pages); ?>
      <?php else : ?>
        <span class="c-pagenavi__item-link"></span>
      <?php endif; ?>
    </li>
  </ul>
<?php endif; ?>
  <?php endif; ?>
  </section>
</main>
<?php get_footer(); ?>
