<?php
add_shortcode('url','homepage_url');        //for Wordpress
wpcf7_add_shortcode('url','homepage_url');  //for Contact Form 7
function homepage_url() {
 return home_url();
}

// Contact Form 7の自動pタグ無効
add_filter('wpcf7_autop_or_not', 'wpcf7_autop_return_false');
function wpcf7_autop_return_false() {
  return false;
}

/**
 * For debug
 * Show template file name in adminbar.
 * ---------------------------------------------------------*/
function add_debug_menu( $wp_admin_bar ) {
  global $template;

  // $title = sprintf( '<span class="ab-label">%s</span>', '追加メニュー' );

  $wp_admin_bar->add_menu( array(
    'id'    => 'add_dashboard_menu',
    'meta'  => array(),
    'title' => "Template: " . basename( $template )
  ) );

  // $wp_admin_bar->add_menu( array(
  // 	'parent' => 'add_dashboard_menu',
  // 	'id'     => 'add_dashboard_menu-sub',
  // 	'meta'   => array(),
  // 	'title'  => '投稿一覧',
  // 	'href'   => home_url( '/wp-admin/edit.php' )
  // ) );
}

add_action( 'admin_bar_menu', 'add_debug_menu', 9999 );


/*
---------------------------------------------------------*/
function setup() {
  add_theme_support( 'post-thumbnails' );

  if ( function_exists( 'add_image_size' ) ) {
    add_image_size('thumb-238x160', 238, 160, true);
    add_image_size('thumb-218x180', 218, 180, true);
  }
}

add_action( 'after_setup_theme', 'setup' );

/*
---------------------------------------------------------*/
function theme_setup() {
    // テーマのサポート機能を追加
    add_theme_support('post-thumbnails'); // アイキャッチ画像を有効化
    add_theme_support('title-tag'); // タイトルタグ自動生成を有効化
    add_theme_support('html5', array('search-form', 'comment-form', 'comment-list', 'gallery', 'caption')); // HTML5マークアップの使用を有効化
}
function load_custom_wp_admin_style() {
    wp_enqueue_media();
}
add_action('admin_enqueue_scripts', 'load_custom_wp_admin_style');

add_action('after_setup_theme', 'theme_setup');

function theme_scripts() {
    wp_enqueue_style('style', get_stylesheet_uri()); // スタイルシートの読み込み
    wp_enqueue_script('script', get_template_directory_uri() . '/js/script.js', array(), '1.0.0', true); // JavaScriptファイルの読み込み
}
function register_my_menus() {
  register_nav_menus(
    array(
      'header-menu' => __( 'Header Menu' ),
      'hamburger-menu' => __( 'Hamburger Menu' ),
      'footer-menu' => __( 'Footer Menu' ),
      'footer-menu2' => __( 'Footer Menu2' )
    )
  );
}
add_action( 'init', 'register_my_menus' );
function customize_menu_item_classes($classes, $item, $args, $depth) {
  // メニューアイテムから既存のクラスを削除
  $classes = array_diff($classes, array('menu-item', 'menu-item-type-post_type', 'menu-item-object-page'));

  // メニューロケーションに基づいてクラスを追加
  if ($args->theme_location === 'footer-menu') {
      $classes[] = 'l-fnav__list-item'; // Footer Menu用のクラスを追加
  } else {
      $classes[] = 'l-hnav__list-item'; // それ以外のメニュー用のクラスを追加
  }

  return $classes;
}
add_filter('nav_menu_css_class', 'customize_menu_item_classes', 10, 4);

function add_query_vars_filter($vars) {
  $vars[] = "blog_year";
  return $vars;
}
add_filter('query_vars', 'add_query_vars_filter');
function add_case_study_query_vars_filter($vars) {
  $vars[] = "case_year";
  $vars[] = "case_cate";
  return $vars;
}
add_filter('query_vars', 'add_case_study_query_vars_filter');

add_action( 'acf/init', function() {
	acf_add_options_page( array(
	'page_title' => '共通箇所',
	'menu_slug' => 'common',
	'redirect' => false,
) );
} );

  // カードデザインcss
  function custom_embed_style() {
	wp_enqueue_style('wp-embed-template-org', get_stylesheet_directory_uri() . '/wp-embed-template.css');
	}
	add_filter('embed_head', 'custom_embed_style');
?>