<?php get_header(); ?>
<main>
  <div class="l-breadcrumb">
    <div class="u-wrap">
    <ul class="l-breadcrumb__list u-flex">
      <li class="l-breadcrumb__item">
        <a href="" class="l-breadcrumb__item-link">トップ</a>
      </li>
      <li class="l-breadcrumb__item">
        <a href="<?php echo get_post_type_archive_link('blog'); ?>" class="l-breadcrumb__item-link"><?php echo get_post_type_object(get_post_type())->labels->name; ?></a>
      </li>
      <li class="l-breadcrumb__item"><?php the_title(); ?></li>
    </ul>
    </div>
  </div>

  <section class="p-detail__section u-wrap__detail u-wrap">
    <p class="p-detail__contents-type u-poppins">Blog</p>
    <p class="p-detail__contents-cate">
      <?php
        $categories = get_the_terms(get_the_ID(), 'blog-category');
        $category_name = !empty($categories) ? $categories[0]->name : '未分類';
        echo esc_html($category_name) . '｜' . get_the_date('Y.m.d');
      ?>
    </p>
    <p class="p-detail__contents-ttl">
      <?php the_title(); ?>
    </p>
    <div class="p-detail__contents-img">
      <?php if (has_post_thumbnail()) : ?>
        <?php the_post_thumbnail(); ?>
      <?php else : ?>
      <?php endif; ?>
    </div>
    <div class="p-detail__contents editor">
      <?php the_content(); ?>
      <div class="editor__writer">
      <p class="editor__writer-writer">この記事を執筆した人</p>
      <ul class="u-flex_n">
          <li class="editor__writer-img"><img src="<?php the_field('editor__writer-img'); ?>" alt=""></li>
          <li class="editor__writer-contents">
              <p class="editor__writer-name"><?php the_field('editor__writer-name'); ?></p>
              <p class="editor__writer-text"><?php the_field('editor__writer-text'); ?></p>
          </li>
      </ul>
      </div>
    </div>
    <ul class="p-detai__share-list u-flex">
      <li class="p-detai__share-item">
        <a href="http://www.facebook.com/share.php?u={URL}" rel="nofollow noopener" target="_blank">シェア</a>
      </li>
      <li class="p-detai__share-item">
        <a href="https://twitter.com/share?
          url=<?php echo get_the_permalink(); ?>&
          via={Twitter ID}&
          related={Twitter ID}&
          text=<?php echo get_the_title(); ?>"
          rel="nofollow noopener"
          target="_blank"
          >ツイート
        </a>
      </li>
      <li class="p-detai__share-item">
        <a href="http://line.me/R/msg/text/?{URL}%0a{<?php echo get_the_title(); ?>}" target="_blank" rel="nofollow noopener">LINE</a>
      </li>
    </ul>
    <ul class="p-detai__navi-list u-flex">
    <?php if (get_previous_post_link()) : ?>
        <li class="p-detai__navi-item p-detai__navi-item-prev">
          <a href="<?php echo get_permalink(get_adjacent_post(false, '', true)); ?>" class="p-detai__navi-link"><span>前の記事</span></a>
        </li>
      <?php endif; ?>
      <li class="p-detai__navi-item p-detai__navi-item-list">
        <a href="<?php echo home_url('/blog/'); ?>" class="p-detai__navi-link">一覧に戻る</a>
      </li>
      <?php if (get_next_post_link()) : ?>
        <li class="p-detai__navi-item p-detai__navi-item-next">
          <a href="<?php echo get_permalink(get_adjacent_post(false, '', false)); ?>" class="p-detai__navi-link"><span>次の記事</span></a>
        </li>
      <?php endif; ?>
    </ul>

  </section>
  <?php
    $current_post_id = get_the_ID();
    $blog_query = new WP_Query(array(
      'post_type' => 'blog',
      'posts_per_page' => 3,
      'post__not_in' => array($current_post_id)
    ));
    if ($blog_query->have_posts()) :
  ?>
  <section class="c-container p-top__blog-section">
    <div class="c-ttl__area u-wrap">
      <h2 class="c-ttl">Recommend</h2>
      <p class="c-ttl__sub">関連記事</p>
    </div>
    <div class="p-top__blog-wrap u-wrap">
      <?php
        while ($blog_query->have_posts()) : $blog_query->the_post();
          $terms = get_the_terms(get_the_ID(), 'blog-category');
          $category_name = $terms && !is_wp_error($terms) ? $terms[0]->name : '未分類';
      ?>
        <div class="p-top__blog-box u-flex">
          <figure class="p-top__blog-box-img">
            <?php if (has_post_thumbnail()) : ?>
              <img src="<?php the_post_thumbnail_url(); ?>" alt="<?php the_title(); ?>">
            <?php endif; ?>
          </figure>
          <div class="p-top__blog-contents">
            <p class="p-top__case-box-cate"><?php echo $category_name; ?>｜<?php echo get_the_date('Y.m/d'); ?></p>
            <h3 class="p-top__blog-content-ttl"><?php the_title(); ?></h3>
            <p class="c-text">
              <?php echo wp_trim_words(get_the_content(), 65, '...'); ?>
            </p>
            <p class="c-btn__sub">
              <a href="<?php the_permalink(); ?>" class="c-btn__sub-link">詳しくはこちら</a>
            </p>
          </div>
        </div>
      <?php
        endwhile;
      ?>
    </div>
    <p class="c-btn__sub">
      <a href="<?php echo home_url( '/blog/' ); ?>" class="c-btn__sub-link">一覧を見る</a>
    </p>
  </section>
  <?php
    endif;
    wp_reset_postdata();
  ?>

</main>
<?php get_footer(); ?>
